Modules/Admin/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->name('admin.')->middleware('auth', 'admin.auth')->group(function () {
    Route::get('/', function () {
        return view('admin::admin.index');
    })->name('admin.');

    Route::resource('users', 'user\UsersController');

    Route::get('/{user}/permission', 'PermissionController@create')->name('user.permission')->middleware('can:staff-user-permission');
    Route::post('/{user}/permission', 'PermissionController@store')->name('user.permission.store')->middleware('can:staff-user-permission');

    Route::resource('permission', 'PermissionController');

    Route::resource('role', 'RoleController');

    Route::resource('product', 'ProductController');

    Route::get('comments/unapproved', 'CommentsController@unapproved')->name('comments.unapproved');
    Route::resource('comments', 'CommentsController');

    Route::resource('category', 'CategoryController');

    Route::post('/attribute/values', 'AttributeController@getValues');

    Route::resource('orders', 'OrderController');
    Route::get('order/{order}/payment', 'OrderController@payment')->name('order.payment');

    Route::resource('product.gallery', 'ProductGalleryController');

    Route::resource('discount', 'DiscountController');


    Route::get('module', 'MainController@index')->name('module.index');
    Route::put('module/{module}/disable', 'MainController@disable')->name('module.disable');
    Route::put('module/{module}/enable', 'MainController@enable')->name('module.enable');


});

Modules/Admin/Http/Controllers/user/PermissionController.php
<?php

namespace App\Http\Controllers\admin\user;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;

class PermissionController extends Controller
{
    public function create(Request $request, User $user)
    {

        return view('admin.users.permission', compact('user'));
    }

    public function store(Request $request, User $user)
    {


        $user->permissions()->sync($request->permission);
        $user->roles()->sync($request->role);

        alert()->success('با موفقیت انجام شد');

        return redirect(route('admin.users.index'));

    }
}

Modules/Admin/Http/Controllers/user/UsersController.php
<?php

namespace Modules\Admin\Http\Controllers\user;

use App\Models\User;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;

class UsersController extends Controller
{


    public function __construct()
    {
        $this->middleware('can:show-staff-user')->only(['index']);
        $this->middleware('can:show-users')->only(['index']);
        $this->middleware('can:edit-user')->only(['edit', 'update']);
        $this->middleware('can:create-user')->only(['create', 'store']);
        $this->middleware('can:delete-user')->only(['destroy']);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::query();

        if ($keyword = request('search')) {
            $users->where('email', 'LIKE', "%{$keyword}%")
                ->orWhere('name', 'LIKE', "%{$keyword}%")
                ->orWhere('id', "%{$keyword}%");
        }

        if (\request('admin')) {
            $users->where('is_superuser', 1)->orWhere('is_staff', 1);
        }

        $users = $users->latest()->paginate(20);

        return view('admin::admin.users.all', compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin::admin.users.create');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
            'password' => ['required', 'string', 'min:8', 'confirmed'],
        ]);

        $data['password'] = bcrypt($data['password']);


        $user = User::create($data);

        if ($request->has('verify')) {
            $user->markEmailAsVerified();
        }

        return redirect(route('admin.users.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit(User $user)
    {
        return view('admin::admin.users.edit', ['user' => $user]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, User $user)
    {
        $data = $request->validate([
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'email', 'max:255', Rule::unique('users')->ignore($user->id)],
        ]);

        if (!is_null($request->password)) {
            $request->validate([
                'password' => ['required', 'string', 'min:8', 'confirmed'],
            ]);
            $data['password'] = $request->password;
        }
        $user->update($data);

        if ($request->has('verify')) {
            $user->markEmailAsVerified();
        }

        alert()->success('ویرایش شد');
        return redirect(route('admin.users.index'));

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(User $user)
    {
        $user->delete();
        alert()->success('حذف شد');
        return redirect(route('admin.users.index'));
    }
}

Modules/Admin/Resources/views/admin/users/all.blade.php
@component('admin::admin.layout.content',['title'=>'مدیریت کاربران'])

    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="/admin">پنل مدیریت</a></li>
        <li class="breadcrumb-item active">کاربران</li>
    @endslot
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title"> کاربران</h3>

                    <div class="card-tools d-flex float-left">
                        <div class="input-group input-group-sm d-flex" style="width: 200px;">
                            <form action="" class="d-flex">
                                <input type="text" name="search" class="form-control float-right"
                                       placeholder="جستجو">

                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                </div>
                            </form>
                        </div>

                        <div class="float-left  mr-2">
                            @can('create-user')
                                <a class="btn btn-sm btn-info" href="{{route('admin.users.create')}}">ایجاد کاربر</a>
                            @endcan
                            @can('show-staff-user')
                                <a class="btn btn-sm btn-warning"
                                   href="{{ request()->fullUrlWithQuery(['admin'=>1]) }}">
                                    کاربران مدیر
                                </a>
                        </div>
                        @endcan
                    </div>
                </div>

                <!-- /.card-header -->
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover">
                        <tbody>
                        <tr>
                            <th>آیدی</th>
                            <th>نام</th>
                            <th>ایمیل</th>
                            <th>وضعیت ایمیل</th>
                            <th>عملیات</th>
                        </tr>
                        @foreach($users as $user)
                            <tr>
                                <td>{{$user->id}}</td>
                                <td>{{$user->name}}</td>
                                <td>{{$user->email}}</td>
                                <td>
                                    @if($user->email_verified_at)
                                        <span class="badge badge-success">تایید شده</span>
                                    @else
                                        <span class="badge badge-danger">تایید نشده</span>
                                    @endif
                                </td>
                                <td class="d-flex btn-sm">
                                    @can('delete-user')
                                        <form action="{{route('admin.users.destroy',['user'=>$user->id])}}"
                                              method="POST">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-sm btn-danger ml-2">حذف</button>
                                        </form>
                                    @endcan
                                    @can('edit-user')
                                        <a href="{{ route('admin.users.edit',['user'=>$user->id]) }}"
                                           class="btn btn-sm btn-primary">ویرایش</a>
                                    @endcan
                                    @if($user->is_staff)
                                        @can('staff-user-permission')
                                            <a href="{{ route('admin.user.permission',$user->id) }}"
                                               class="btn btn-sm btn-light mr-2">
                                                دسترسی ها
                                            </a>
                                        @endcan
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    {{$users->render()}}
                </div>
            </div>
            <!-- /.card -->
        </div>
    </div>


@endcomponent

Modules/Admin/Resources/views/admin/users/create.blade.php
@component('admin::admin.layout.content',['title'=>'ایجاد کاربر'])

    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="/admin">پنل مدیریت</a></li>
        <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">کاربران</a></li>
        <li class="breadcrumb-item active">ایجاد کاربر</li>
    @endslot
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">ثبت کاربر جدید</div>
                    @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach($errors->all() as $err)
                                    <li>
                                        {{ $err }}
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form method="POST" action="{{route('admin.users.store')}}" class="p-3">
                        @csrf
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">نام و نام خانوادگی :</label>

                            <div class="col-md-6">
                                <input id="name" type="text"
                                       class="form-control @error('name') is-invalid @enderror" name="name"
                                       value="{{ old('name') }}" required autocomplete="name" autofocus>

                                @error('name')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right">ایمیل : </label>

                            <div class="col-md-6">
                                <input id="email" type="email"
                                       class="form-control @error('email') is-invalid @enderror" name="email"
                                       value="{{ old('email') }}" required autocomplete="email">

                                @error('email')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password"
                                   class="col-md-4 col-form-label text-md-right">پسوورد : </label>

                            <div class="col-md-6">
                                <input id="password" type="password"
                                       class="form-control @error('password') is-invalid @enderror" name="password"
                                       required autocomplete="new-password">

                                @error('password')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm"
                                   class="col-md-4 col-form-label text-md-right">تکرار پسورد : </label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control"
                                       name="password_confirmation" required autocomplete="new-password">
                            </div>
                        </div>
                        <div class="form-check">
                            <label class="form-check-label p-3" for="verify">
                                <input type="checkbox" class="form-check-input" name="verify">کاربر فعال باشد
                            </label>
                        </div>
                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    ثبت کاربر
                                </button>
                                <a href="{{ route('admin.users.index') }}" class="btn btn-default mr-3">
                                    انصراف
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
@endcomponent

Modules/Admin/Resources/views/admin/users/edit.blade.php
@component('admin::admin.layout.content',['title'=>'ایجاد کاربر'])

    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="/admin">پنل مدیریت</a></li>
        <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">کاربران</a></li>
        <li class="breadcrumb-item active">ویرایش کاربر</li>
    @endslot
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">ویرایش کاربر</div>
                    @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach($errors->all() as $err)
                                    <li>
                                        {{ $err }}
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form method="POST" action="{{route('admin.users.update',['user'=>$user->id])}}" class="p-3">
                        @csrf
                        @method('PUT')
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right">نام و نام خانوادگی :</label>

                            <div class="col-md-6">
                                <input id="name" type="text"
                                       class="form-control @error('name') is-invalid @enderror" name="name"
                                       required autocomplete="name" autofocus value="{{$user->name}}">

                                @error('name')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email"
                                   class="col-md-4 col-form-label text-md-right">ایمیل : </label>

                            <div class="col-md-6">
                                <input id="email" type="email"
                                       class="form-control @error('email') is-invalid @enderror" name="email"
                                       value="{{ $user->email }}" required autocomplete="email">

                                @error('email')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password"
                                   class="col-md-4 col-form-label text-md-right">پسوورد : </label>

                            <div class="col-md-6">
                                <input id="password" type="password"
                                       class="form-control @error('password') is-invalid @enderror" name="password"
                                        autocomplete="new-password">

                                @error('password')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm"
                                   class="col-md-4 col-form-label text-md-right">تکرار پسورد : </label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control"
                                       name="password_confirmation"  autocomplete="new-password">
                            </div>
                        </div>
                        @if(!$user->hasVerifiedEmail())
                            <div class="form-check">
                                <label class="form-check-label p-3" for="verify">
                                    <input type="checkbox" class="form-check-input" name="verify">کاربر فعال باشد
                                </label>
                            </div>
                        @endif

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    ویرایش کاربر
                                </button>
                                <a href="{{ route('admin.users.index') }}" class="btn btn-default mr-3">
                                    انصراف
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
@endcomponent

Modules/Admin/Resources/views/admin/users/permission.blade.php
@component('admin::admin.layout.content',['title'=>'دسترسی ها'])

    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="">پنل دسترسی ها</a></li>
        <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">کاربران</a></li>
        <li class="breadcrumb-item active">ایجاد دسترسی ها</li>
    @endslot

    @slot('script')
        <script>
            $('#permission').select2({
                'placeholder':'دسترسی را انتخاب کنید'
            });
            $('#role').select2({
                'placeholder':'مقام را انتخاب کنید',
            });

        </script>
    @endslot
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">دسترسی</div>
                    @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach($errors->all() as $err)
                                    <li>
                                        {{ $err }}
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form method="POST" action="{{route('admin.user.permission.store',$user->id)}}" class="p-3">
                        @csrf
                        <div class="form-group row">

                            <label for="permission"
                                   class="col-md-4 col-form-label text-md-right">مقام ها</label>
                            <select name="role[]" id="role" class="form-control" multiple>
                                @foreach(\App\Role::all() as $role)

                                    <option
                                        value="{{$role->id}}" {{in_array($role->id,$user->roles->pluck('id')->toArray()) ? 'selected' : ''}}>{{$role->name}}</option>

                                @endforeach
                            </select>
                        </div>
                        <div class="form-group row">
                            <label for="permission"
                                   class="col-md-4 col-form-label text-md-right">دسترسی ها(زیر مجموعه) : </label>
                            <select name="permission[]" id="permission" class="form-control" multiple>
                                @foreach(\App\Permission::all() as $permission)

                                    <option
                                        value="{{$permission->id}}" {{in_array($permission->id,$user->permissions->pluck('id')->toArray()) ? 'selected' : ''}}>{{$permission->name}}</option>

                                @endforeach
                            </select>
                        </div>
                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    ثبت دسترسی
                                </button>
                                <a href="{{ route('admin.users.index') }}" class="btn btn-default mr-3">
                                    انصراف
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
@endcomponent